Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229677 - Rhythmbox should be preloaded with feeds to openly-licensed and free-formatted podcasts
Summary: Rhythmbox should be preloaded with feeds to openly-licensed and free-formatte...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker
TreeView+ depends on / blocked
 
Reported: 2007-02-22 18:16 UTC by Máirín Duffy
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.10.0-5.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-18 22:35:30 UTC


Attachments (Terms of Use)
iradio-initial.pls (deleted)
2007-04-05 16:12 UTC, Bastien Nocera
no flags Details

Description Máirín Duffy 2007-02-22 18:16:14 UTC
Description of problem:

Related somewhat in idea to bug 229675 :)

I'm not sure if this would be possible, but it might help folks to give ogg and
other open formats a shot after they install a fresh copy of Fedora. See the
following link for a great list of sites that provide podcasts to this type of
material:

http://creativecommons.org/audio/

If you need any help selecting particular feeds to add, please let me know as
I'd love to help. 

Also consider adding a feed for Red Hat Magazine's podcasts :)

Comment 1 Alan Cox 2007-02-22 18:37:26 UTC
http://dir.xiph.org/index.php?start=10&num=10&stype=application%2Fogg

pulls all the ogg streams from icecast hosts

magnatune.com for lots of music from independant artists and also streaming
feeds and listen before you buy

WKNC-FM NC State's Student Run Radio Station (High Quality Ogg)

Really ought to be there for local reasons don't you think ;)


Comment 2 Alan Cox 2007-02-22 18:38:41 UTC
http://dir.xiph.org/index.php?sgenre=&stype=Ogg+Vorbis&search=

will pull some others - those using Ogg  not app/ogg...


Comment 3 Alan Cox 2007-02-22 18:42:14 UTC
UK Linux must have
http://www.lugradio.org/

Comment 4 Alan Cox 2007-02-22 18:44:10 UTC
http://www.virginradio.co.uk/listen/

Virgin Radio UK


Comment 6 Bastien Nocera 2007-02-22 19:34:19 UTC
Way ahead of you ;)
http://bugzilla.gnome.org/show_bug.cgi?id=402787

Those are the quality radio stations streaming in Ogg. It's a pretty poor list
IMO...

Magnatune support (including purchase and download) is already in Rawhide. I'm
not sure we should be adding Podcasts to the default list, as they'll be cause
downloads in the background, etc.

Comment 7 Bastien Nocera 2007-04-05 16:12:43 UTC
Created attachment 151776 [details]
iradio-initial.pls

First pass at it.

Virgin Groove doesn't seem to advertise its Ogg streams anymore, and I don't
know the genres of most of the NRK stations.

Comment 8 Bastien Nocera 2007-04-11 15:23:40 UTC
I pushed this playlist in rhythmbox 0.10.0-4.fc7. If you can think of any more
radios to add, please file a separate bug.

Comment 9 Jeremy Katz 2007-04-18 18:10:30 UTC
So on a fresh install (or with the live CD), I start up rhythmbox and don't have
any radio streams by default.  The playlist file is on the disk, it just doesn't
seem to be getting used for populating the defaults

Comment 10 Bastien Nocera 2007-04-18 22:18:52 UTC
That would be my fault. Upstream at:
http://bugzilla.gnome.org/show_bug.cgi?id=431167

Comment 11 Bastien Nocera 2007-04-18 22:35:30 UTC
Fixed in rhythmbox-0.10.0-5.fc7


Note You need to log in before you can comment on or make changes to this bug.